Get

[POST] .../v1/promoprogramsetting/get

Returns promotion setting information. Retrieve promotion settings as JSON values using filters. Requires promotion setting select permission. Group rules include descendants unless include_children is false. Type-3 rules require all conditions; quantity conditions combine item variants and add the discounted quantity when the condition targets the discount item or group. Amount conditions sum line amounts rounded to two decimals, away from zero. Business errors return HTTP 200 ErrorResult.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.

Filterable Fields

Field Type Description
id int Promotion setting ID.
key string Setting name.
program_id int Promotion ID.
type_id int Promotion type IDs.

Request Example

{
  "filters": [
    {
      "Field": "id",
      "Operator": "Equal",
      "Value": "string"
    }
  ]
}

Response Parameters

Name Type Description
ok Boolean Indicates whether the request completed successfully.
result Array of PromoProgramSetting Result object.

Response Example

{
  "ok": true,
  "result": [
    {
      "deleted": true,
      "id": 1,
      "key": "string",
      "last_update": 1,
      "program_id": 1,
      "program_type_id": 1,
      "type": "Client",
      "value": "string"
    }
  ]
}